# project status Updates the status of a project. By default, a newly created project has the status "Not Started". After scanning begins, the status is automatically updated to "Analysis In Progress". Note: ProjectAction can be specified with below values: - Update Status Only: Only updates the status of the project, if project status is kept COMPLETED, it will lock the current project. - Lock Child Projects: Locks all child projects of the current project. (allowed only if project status is kept COMPLETED) - Unlock Child Projects: Unlocks all child projects of the current project. (allowed only if project status is not COMPLETED) Use projectAction to control the locking behavior in relation to the project's current status. Endpoint: PUT /projects/{projectId}/status Version: v1 Security: bearerAuth ## Path parameters: - `projectId` (integer, required) ID of the Project Example: 1 ## Query parameters: - `status` (string, required) Enum: "Not Started", "Analysis In Progress", "Analysis Completed", "Project Completed" - `projectAction` (string, required) Enum: "Update Status Only", "Lock Child Projects", "Unlock Child Projects" ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields